# Class Signage#setDigitalAudioInputMode

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#setDigitalAudioInputMode(successCallback, errorCallback, options) Sets digital audio input mode.

## Class Detail

Signage#setDigitalAudioInputMode(successCallback, errorCallback, options)

Sets digital audio input mode.

Audio from different source can be mixed with a video from HDMI or DP using this method.

    function setDigitalAudioInputMode() {

       var options = {
         digitalAudioInputList:{
            'ext://hdmi:1' : Signage.DigitalAudioInput.HDMI_DP,
            'ext://hdmi:2' : Signage.DigitalAudioInput.HDMI_DP,
            'ext://dp:1' : Signage.DigitalAudioInput.AUDIO_IN
         }
       };

       var successCb = function (){
         console.log("Successfully Done");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.setDigitalAudioInputMode (successCb, failureCb, options);

    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options
  parameter list.
{Object} options.digitalAudioInputList
  List of digital audio input mode. In HDMI_DP mode, same audio from HDMI or DP is used. In AUDIO_IN mode, HDMI or DP video input can be used with external analog audio input.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText.